/*
 * ActionScript Thread Library
 * 
 * Licensed under the MIT License
 * 
 * Copyright (c) 2010 Leichtgewicht (www.leichtgewicht.at) and
 *                    Spark project (www.libspark.org)
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 * 
 */
package org.libspark.thread.step {

	/**
	 * Linked list node for the StepThreadList.
	 * 
	 * @author Martin Heidegger
	 * @private
	 * @version 1.0
	 * @see StepThreadList
	 */
	internal class ThreadExecutionListNode {
		// Common next node of a double-linked-list
		internal var next: ThreadExecutionListNode;
		
		// Common prev node of a double-linked-list
		internal var prev: ThreadExecutionListNode;
		
		// Ring node, containing the first item if no next one is added
		internal var nextExecuting: ThreadExecutionListNode;
		
		// thread related to this node
		internal var thread: StepThread;
	}
}
